#!/bin/sh

# Get the kernel version, parth of the modules path
VER="$(uname -r)"

# Set the path to the modules
export MODPATH=""

for i in $(ls /lib/modules/${VER})
do
	# echo "Looping for ${i}..."
	if [ "${MODPATH}" != "" ]
		then
			export MODPATH="${MODPATH}:"
		fi

	export MODPATH="${MODPATH}/lib/modules/${VER}/${i}"

done

# echo "Path = ${MODPATH}"

echo "Loading modules: "

(cat /etc/modules;echo) |  # make sure there is an LF at the end
while read MODULE ARGS
do
	case "${MODULE}" in
		\#*|"") continue;;	
	esac

	/sbin/insmod ${MODULE} ${ARGS} 2> /dev/null && echo "${MODULE} successfully loaded"

done

echo

# This will activate the the on-board ethernet as eth0.
#/sbin/insmod /lib/modules/${VER}/net/8390.o
#/sbin/insmod /lib/modules/${VER}/net/ne.o io=0x300
