#!/bin/bash

    clear
    typeset -i j=0
    echo "Activate changes"
    echo
    echo "WARNING: If you have modified serial and / or terminal"
    echo "settings, or are logged in over a network, this could"
    echo "cause you to lose your connection.  It is also posssible"
    echo "to lock out all remote access to this SIB with this function"
    echo "if it has been improperly reconfigured.  Please make sure"
    echo "your configuration is correct before continuing.  Also note" 
    echo "that some of the old routing information may not be deleted"
    echo "until the next system restart."
    echo
    echo "Do you wish to activate configuration changes (y/N)? "
    read CONFIRM

    if [ "${CONFIRM}" = "y" -o "${CONFIRM}" = "Y" ]
    then
	echo
	echo "Bringing down network interfaces..."

	if [ -f /etc/sysconfig/eth?ip ]
	then
		for i in $(ls /etc/sysconfig/eth?ip)
		do
	    		/sbin/ifconfig eth${j} down
	    		j=${j}+1
		done
	else
		echo "No ethernet..."
	fi

	j=0

	if [ -f /etc/sysconfig/serial?ip ]
	then
		for i in $(ls /etc/sysconfig/serial?ip)
		do
	    		/sbin/ifconfig sl${j} down
	    		j=${j}+1
		done
	else
		echo "No serial."
	fi

	echo "Detaching serial IP interfaces..."
	for i in $(pidof slattach)
	do
	    /bin/kill -TERM ${i}
	done

	echo "Restarting terminal servers..."
	/sbin/telinit q

	echo "Bringing up network interfaces..."
	/etc/sysconfig/ethcfg.sh
	/etc/sysconfig/serialcfg.sh

	echo "Adding new routing data..."
	/etc/sysconfig/setroutes.sh

    else
	echo
	echo "Changes not activated."
    fi

