#!/bin/bash

#-----------------------------------------------------------
# Section to configure Ethernet interfaces
#----------------------------------------------------------

echo "Initializing ethernet interfaces..."

STATIC="1"
CONFIGED="0"

for j in /etc/sysconfig/eth[0123456789]ip
do
    if [ -f $j ]
    then
 	CONFIGED="1"
	. $j
	# Now check to see if DHCP or static
	if [ "${IPADDR}" = "DHCP" -o "${IPADDR}" = "dhcp" ]
	then
		echo -n "Attempting DHCP configuration..."
		/sbin/pump -i "${IF}" && STATIC=0
		if [ "${STATIC}" = "1" ]
		then
			. "/etc/sysconfig/ethdefaults"
			IPADDR="${IPDEFAULT}"
			NETMASK="${NETMASKDEFAULT}"
			BROADCAST="${BCASTDEFAULT}"
			NETWORK="${NETWORKDEFAULT}"
			echo "Reverting to default IP address ${IPADDR}"
		else
			echo "Success."
		fi

	fi

	if [ "${STATIC}" = "1" ]
	then
		/sbin/ifconfig ${IF} ${IPADDR} netmask ${NETMASK} \
        	broadcast ${BROADCAST} up && echo ${IF}
		#/sbin/route add -net ${NETWORK} dev ${IF}
	fi

    fi
done

# Really stupid
if [ "${CONFIGED}" = "0" ]
then
	echo "None."
fi


exit 0

