#!/bin/bash


#-----------------------------------------------------------
# Section to configure Serial line IP (SLIP) interfaces
#----------------------------------------------------------

typeset -i I=0

echo "Initializing serial IP (SLIP) interfaces..."

if [ -f /etc/sysconfig/serial?ip ]
then

for j in $(ls /etc/sysconfig/serial?ip)
do

    if [ -f ${j} ]
    then
	. ${j}
	/sbin/slattach $DEVICE $LINESPEED && echo -n "${DEVICE} = "
	/sbin/ifconfig sl${I} $LOCALIP $PTP $REMOTEIP up && echo -n "sl${I}, "
	I=${I}+1
    fi
done

else
echo "None."
fi

echo

#-------------------------------------------------------
# Section to configure other serial ports as standard, 
# raw I/O devices
#------------------------------------------------------

echo "Initiallizing raw serial devices..."

if [ -f /etc/sysconfig/serial?raw ]
then

for j in $(ls /etc/sysconfig/serial?raw)
do
    if [ -f ${j} ]
    then
	. ${j}

	if [ "${FLOWCONTROL}" = "n" -o "${FLOWCONTROL}" = "N" ]
	then
	    FLOWCONTROL=""
	fi

	/bin/configserial $DEVICE $LINESPEED  \
    ${DATABITS}${PARITY}${STOPBITS} ${FLOWCONTROL} 
    echo "${DEVICE}"
    fi

done

else
	echo "None."
fi

exit 0

